import matplotlib.pyplot as plt
import networkx as nx

# Crear un grafo dirigido
G = nx.DiGraph()

# Agregar nodos
G.add_nodes_from(['P1', 'P2', 'P3', 'P4', 'P5', 'P6', 'P7', 'P8', 'P9', 'P10'])

# Agregar aristas con texto
edges_with_labels = [('P1', 'P2', {'label': '1/3'}),
                     ('P2', 'P3', {'label': '1/2'}),
                     ('P1', 'P4', {'label': '1/3'}),
                     ('P4', 'P5', {'label': '1/4'}),
                     ('P4', 'P6', {'label': '1/4'}),
                     ('P4', 'P7', {'label': '1/4'}),
                     ('P1', 'P8', {'label': '1/3'}),
                     ('P2', 'P9', {'label': '1/2'}),
                     ('P4', 'P10', {'label': '1/4'})]

G.add_edges_from(edges_with_labels)

# Posiciones para visualizar el grafo de manera ordenada
pos = {'P1': (0, 0), 'P2': (1/2, 1), 'P3': (3/2, 3/2),
       'P4': (2, 0), 'P5': (3, 1), 'P6': (3, 1/3), 'P10': (3,-1/3),
       'P7': (3, -1), 'P8': (1/2, -1), 'P9': (3/2, 1/2)}

# Dibujar el grafo
nx.draw(G, pos, with_labels=True, node_size=700, node_color="lightgreen", font_size=8, font_color="black", font_weight="bold")
edge_labels = nx.get_edge_attributes(G, 'label')
nx.draw_networkx_edge_labels(G, pos, edge_labels=edge_labels, font_color='black')

# Mostrar el grafo
plt.show()
