import networkx as nx
import matplotlib.pyplot as plt

G = nx.DiGraph()

G.add_nodes_from([1, 2, 3, 4])

G.add_edges_from([(1, 2), (1, 3), (2, 1), (2, 3), (2, 4), (3, 1), (3, 2), (4, 1), (4, 2), (4, 3)])

# Especificar las posiciones de los nodos para formar un cuadrado
pos = {1: (0, 1), 2: (1, 1), 3: (0, 0), 4: (1, 0)}

# Asignar nombres y colores a cada nodo
nombres_nodos = {1: "P1", 2: "P2", 3: "P3", 4: "P4"}
colores_nodos = {1: "lightgreen", 2: "lightgreen", 3: "lightgreen", 4: "lightgreen"}

# Dibujar el grafo con las posiciones, nombres, colores y aristas especificadas
nx.draw(G,
        pos,
        labels=nombres_nodos,
        node_color=[colores_nodos[node] for node in G.nodes()],
        with_labels=True,
        font_color='black',
        font_weight='bold',
        font_size=10,
        edge_color='black',
        width=2,
        node_size=2200)

plt.show()
