import numpy as np

# Función que multiplica una matriz por un vector de manera iterativa
def multiplicar_matriz_vector(matriz, vector, contador):
    if len(matriz[0]) != len(vector):
        raise ValueError("Las dimensiones no son compatibles para la multiplicación")

    resultado = [0] * len(matriz)

    for i in range(len(matriz)):
        for j in range(len(vector)):
            resultado[i] += matriz[i][j] * vector[j]

    # Mostrar resultado redondeado a 8 decimales en cada iteración
    result_aprox = np.round(resultado, decimals=8)
    print(contador + 1, " ", result_aprox)
    return resultado

# Ejemplo de una matriz 4x4
matriz_4x4 = [
    [0, 1/3, 1/2, 1/3],
    [1/2, 0, 1/2, 1/3],
    [1/2, 1/3, 0, 1/3],
    [0, 1/3, 0, 0]
]

# Verificar si la matriz es primimtiva, y por tanto irreducible
if not np.all(np.linalg.matrix_power(matriz_4x4, 10) > 0):
    raise ValueError("La matriz no es primitiva.")

# Ejemplo de un vector inicial
vector_4x1 = [0, 0, 0, 1]

# Mostrar los datos iniciales
print("Matriz de transición:")
for fila in matriz_4x4:
    print(fila)

print("\nVector Inicial:")
print(vector_4x1, "\n")

# Multiplicar matriz por vector
for i in range(20):
    vector_4x1 = multiplicar_matriz_vector(matriz_4x4, vector_4x1, i)
